/*
 * Kernel Module Sample
 * file name: hello.c
 */
#include <linux/module.h>
#include <linux/init.h>

MODULE_LICENSE("GPL v2");

/* インストール時に実行 */
static int hello_init(void) {
    printk(KERN_ALERT "Hello World!\n");
    return 0;
}

/* アンインストール時に実行 */
static void hello_exit(void) {
    printk(KERN_ALERT "Goodbye World!\n");
}

module_init(hello_init);
module_exit(hello_exit);
